// Copyright 2012 Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.api.ads.adwords.lib;

import com.google.api.ads.adwords.lib.client.AdWordsServiceClient;
import com.google.api.ads.adwords.lib.conf.AdWordsConfigurationModule;
import com.google.api.ads.common.lib.AdsModule;

/**
 * Guice module for AdWords bindings.
 *
 * @author Adam Rogal
 * @author Joseph DiLallo
 */
public class AdWordsModule extends AdsModule {

  public AdWordsModule() {}

  @Override
  protected void configure() {
    super.configure();
    configureLogging(AdWordsServiceClient.class.getName());
    install(new AdWordsConfigurationModule());
  }
}
