// Copyright 2011, Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.api.ads.common.lib.soap.compatability;

/**
 * Specifies that for the {@code AdsServiceClient} to be Axis2 compatible, it
 * must be able to retrieve a stub class.
 *
 * @author Adam Rogal
 */
public interface Axis2Compatible {
  /**
   * Gets the Axis2 stub class such that it can be instantiated to create
   * an Axis2 service client.
   *
   * @return the Axis2 stub class
   * @throws ClassNotFoundException if no stub class can be found
   */
  public Class<?> getStubClass() throws ClassNotFoundException;
}
